Bug 1467846 - [v2v] Import of VM from VMWare to RHV is not done as Clone
[v2v] Import of VM from VMWare to RHV is not done as Clone
Status: VERIFIED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.8.2
Assigned To: Tomas Jelinek
Ilanit Stein
rhev:v2v
: TestOnly
Depends On: 1437152
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-05 06:26 EDT by Ilanit Stein
Modified: 2017-08-28 04:07 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: RHEVM


Attachments (Terms of Use)

  None (edit)
Description Ilanit Stein 2017-07-05 06:26:58 EDT
Description of problem:
CFME: VM transform from VMWare to RHV is not done as clone.
As a result, the mac address assigned to the VM, created on the RHV side is VMWare mac address, though it should have a new mac address, from RHV mac pool range.

Version-Release number of selected component (if applicable):
CFMe-5.8.1.0/RHV-4.1.3

Comment: 
On RHV, v2v import VM as clone, is set by default.
Comment 2 Ilanit Stein 2017-07-11 11:18:22 EDT
This is probably caused by RHV REST API bug: https://bugzilla.redhat.com/show_bug.cgi?id=1437152
Comment 3 Ilanit Stein 2017-07-20 10:33:12 EDT
Note that when running Windows VM with scsi disk import, and NOT installing drivers, the mac address, that the destination VM is taken from the RHV mac pool range.
It will be interesting to understand why when no drivers installed the mac address is set OK.
Comment 4 Tomas Jelinek 2017-08-14 03:11:26 EDT
It has been fixed on RHV side to always import it as clone so the mac address is always re-generated.

The fix is in RHV 4.1.5 and no change on manageiq side - moving to ON_QA
Comment 5 Ilanit Stein 2017-08-14 05:39:02 EDT
Verified on CFME 'Fine' nightly August 10/RHV-4.1.5.-3:

RHEL/Windows imported VMs, have a mac from the RHV mac pool range, and not the VMWare original mac address.
Comment 7 Ilanit Stein 2017-08-28 04:07:41 EDT
Verified on CFME-5.8.2.0.20170824192913_b09a5f8/RHV-4.1.6-0.1.el7

VM imported from VMWare to RHV has a mac address from RHV mac pool range, and not the original mac it had in VMware.

Note You need to log in before you can comment on or make changes to this bug.